Create a new IP access rule

Prev Next
Post
/v1alpha/ip-acl

Creates an IP access rule that allows access to a workspace for the specified IP range. Only addresses within this range can access workspace resources.

Security
HTTP
Type bearer
Body parameters
Expand All
object
rule
object (v1alphaIPAccessRule)

Represents an IP access control rule for a workspace. Allows access to workspace resources only from specific IP addresses or ranges.

id
string

The unique identifier for the IP access rule.

ip
string

The IP address or range for the rule. Must be a valid IPv4 address (e.g., 192.168.1.1) or CIDR range (e.g., 192.168.1.0/24). IPv6 is not supported.

description
string

The IP access rule description. This optional parameter has a 1000-character limit.

Responses
200

A successful response.

Expand All
object
rule
object (v1alphaIPAccessRule)

Represents an IP access control rule for a workspace. Allows access to workspace resources only from specific IP addresses or ranges.

id
string

The unique identifier for the IP access rule.

ip
string

The IP address or range for the rule. Must be a valid IPv4 address (e.g., 192.168.1.1) or CIDR range (e.g., 192.168.1.0/24). IPv6 is not supported.

description
string

The IP access rule description. This optional parameter has a 1000-character limit.

created_by
string

The email address of the user who created the IP access rule. Automatically generated and cannot be edited.

created_at
string (date-time)

The timestamp when the IP access rule was created. Automatically generated and cannot be edited.

updated_at
string (date-time)

The timestamp of the last update to the IP access rule. Automatically generated and cannot be edited.

updated_by
string

The email address of the user who last updated the IP access rule. Automatically generated and cannot be edited.

201

IP access rule was created successfully.

object
400

Invalid request format or parameters.

object
401

Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.

object
403

Insufficient permissions. Only a workspace Owner can create an IP access rule.

object